function setup()
{
	if(window.widget)
	{
		// The preferences are retrieved:
		var creaturesString = widget.preferenceForKey("creaturesString");
		var leftOffset = widget.preferenceForKey("leftOffset");

		if (creaturesString && creaturesString.length > 0)
		{
			creaturesText.innerText = creaturesString;
			creaturesText.style.left = leftOffset;
		}
	}
}

function showPrefs()
{
	var front = document.getElementById("front");
	var back = document.getElementById("back");
	
	if (window.widget)
		widget.prepareForTransition("ToBack");
	
	front.style.display="none";
	back.style.display="block";
	
	if (window.widget)
		setTimeout ('widget.performTransition();', 0);

	document.getElementById('fliprollie').style.display = 'none';

}

function hidePrefs()
{
	var front = document.getElementById("front");
	var back = document.getElementById("back");
	
	if (window.widget)
		widget.prepareForTransition("ToFront");
	
	back.style.display="none";
	front.style.display="block";
	
	if (window.widget)
		setTimeout ('widget.performTransition();', 0);
}

function downloadUpdate() {
	if(window.widget)
		widget.openURL("http://www.lostboysstudios.com/widgets/Creatures/Creatures.wdgt.zip");
}

function wrapURL() {
	if(window.widget)
		widget.openURL("http://www.deadzebra.com");
}

function wrapURL2() {
	if(window.widget)
		widget.openURL("http://www.creaturesinmyhead.com");
}

function checkVersion() { 
document.getElementById("main").innerHTML = '<a href="javascript:downloadUpdate()"><img src="http://www.lostboysstudios.com/widgets/Creatures/Update1.1.jpg" border="0" onError="onshow()"></a>'; 
}

function onshow() { 
var ic = 222;
var creatures = new Array(ic);
creatures[0] = "032604-needhand.gif";
creatures[1] = "032704-startit.gif";
creatures[2] = "032904-stopnow.gif";
creatures[3] = "040204-hurtless.gif";
creatures[4] = "040304-waitfor.gif";
creatures[5] = "040404-whatdo.gif";
creatures[6] = "040504-youdone.gif";
creatures[7] = "040604-seeyou.gif";
creatures[8] = "040704-invis.gif";
creatures[9] = "040904-problm.gif";
creatures[10] = "041004-betterit.gif";
creatures[11] = "041104-trynow.gif";
creatures[12] = "041204-followin.gif";
creatures[13] = "041704-workout.gif";
creatures[14] = "041904-allfine.gif";
creatures[15] = "042004-sorry.gif";
creatures[16] = "042104-moveit.gif";
creatures[17] = "042404-bethere.gif";
creatures[18] = "042604-towatch.gif";
creatures[19] = "042804-follow.gif";
creatures[20] = "042904-letmein.gif";
creatures[21] = "020405-sawit.gif";
creatures[22] = "050304-mmhpph.gif";
creatures[23] = "050504-samenite.gif";
creatures[24] = "050804-wharong.gif";
creatures[25] = "050904-thisway.gif";
creatures[26] = "051104-lookatme.gif";
creatures[27] = "051304-getthru.gif";
creatures[28] = "051404-feedit.gif";
creatures[29] = "051904-waitfor.gif";
creatures[30] = "052104-yoself.gif";
creatures[31] = "052204-thistime.gif";
creatures[32] = "052304-stopit.gif";
creatures[33] = "052504-makeit.gif";
creatures[34] = "052604-caught.gif";
creatures[35] = "053104-better.gif";
creatures[36] = "060204-herefore.gif";
creatures[37] = "060304-doneit.gif";
creatures[38] = "060404-newat.gif";
creatures[39] = "060804-explain.gif";
creatures[40] = "061004-pickit.gif";
creatures[41] = "061104-thetest.gif";
creatures[42] = "061604-seesuff.gif";
creatures[43] = "061804-toyou.gif";
creatures[44] = "062004-third.gif";
creatures[45] = "062304-whatuhave.gif";
creatures[46] = "062404-behere.gif";
creatures[47] = "062504-itsme.gif";
creatures[48] = "062804-takeback.gif";
creatures[49] = "070304-lostit.jpg";
creatures[50] = "070504-aword.gif";
creatures[51] = "071004-beover.gif";
creatures[52] = "011805-blorpt.gif";
creatures[53] = "071204-hadit.gif";
creatures[54] = "071304-sister.gif";
creatures[55] = "071404-notmine.gif";
creatures[56] = "071504-itsbad.gif";
creatures[57] = "071604-nowgo.gif";
creatures[58] = "071704-anyof.gif";
creatures[59] = "071804-wanted.gif";
creatures[60] = "071904-whatyou.gif";
creatures[61] = "072004-behere.gif";
creatures[62] = "072104-dontlook.gif";
creatures[63] = "072204-dontgo.gif";
creatures[64] = "072304-itwent.gif";
creatures[65] = "072404-itson.gif";
creatures[66] = "072504-ouchie.gif";
creatures[67] = "072604-funfun.gif";
creatures[68] = "072704-dothis.gif";
creatures[69] = "072804-wayout.gif";
creatures[70] = "072904-ashamed.gif";
creatures[71] = "073004-turned.gif";
creatures[72] = "073104-johnu.gif";
creatures[73] = "080104-toolate.gif";
creatures[74] = "080204-mostfun.gif";
creatures[75] = "080404-eatit.gif";
creatures[76] = "080504-working.gif";
creatures[77] = "080604-beasy.gif";
creatures[78] = "080804-meantit.gif";
creatures[79] = "080904-freakout.gif";
creatures[80] = "081004-makeit.gif";
creatures[81] = "081104-seethis.gif";
creatures[82] = "081204-about.gif";
creatures[83] = "081304-getme.gif";
creatures[84] = "081404-youin.gif";
creatures[85] = "081504-whatnext.gif";
creatures[86] = "081604-smile.gif";
creatures[87] = "081704-itsback.gif";
creatures[88] = "081804-goneon.gif";
creatures[89] = "081904-yourkid.gif";
creatures[90] = "082004-panya.gif";
creatures[91] = "082104-gogogo.gif";
creatures[92] = "082204-ouchie.gif";
creatures[93] = "082304-ouioui.gif";
creatures[94] = "082404-waited.gif";
creatures[95] = "082504-forgetit.gif";
creatures[96] = "082604-butr08.gif";
creatures[97] = "082804-onway.gif";
creatures[98] = "082904-curious.gif";
creatures[99] = "083004-notnow.gif";
creatures[100] = "090104-domore.gif";
creatures[101] = "090204-fixit.gif";
creatures[102] = "090304-bangbang.gif";
creatures[103] = "090404-its.gif";
creatures[104] = "091604-handleit.gif";
creatures[105] = "091704-showup.gif";
creatures[106] = "091804-ahhhh.gif";
creatures[107] = "091904-special.gif";
creatures[108] = "092004-stopit.gif";
creatures[109] = "092104-dealo.gif";
creatures[110] = "092204-goback.gif";
creatures[111] = "092304-itwasnt.gif";
creatures[112] = "092404-gaveup.gif";
creatures[113] = "092504-feelit.gif";
creatures[114] = "092604-uptome.gif";
creatures[115] = "092704-likewoah.gif";
creatures[116] = "092804-halfway.gif";
creatures[117] = "092904-baaack.gif";
creatures[118] = "093004-stopdoc.gif";
creatures[119] = "100104-doesithurt.gif";
creatures[120] = "100204-itgoes.gif";
creatures[121] = "100304-todry.gif";
creatures[122] = "100404-trickor.gif";
creatures[123] = "100504-nicejob.gif";
creatures[124] = "100604-dancy.gif";
creatures[125] = "100704-cleanup.gif";
creatures[126] = "100804-stayhere.gif";
creatures[127] = "100904-seenitall.gif";
creatures[128] = "101004-bigtb.gif";
creatures[129] = "101104-better.gif";
creatures[130] = "101204-talky.gif";
creatures[131] = "101304-thatsit.gif";
creatures[132] = "101404-porntoo.gif";
creatures[133] = "101504-itsok.gif";
creatures[134] = "101604-betterb4.gif";
creatures[135] = "101704-makeway.gif";
creatures[136] = "101804-workout.gif";
creatures[137] = "101904-eightall.gif";
creatures[138] = "102004-engineer.gif";
creatures[139] = "102204-loveu.gif";
creatures[140] = "102304-didall.gif";
creatures[141] = "102404-sostop.gif";
creatures[142] = "102604-sameole.gif";
creatures[143] = "102704-tryit.gif";
creatures[144] = "102804-sohard.gif";
creatures[145] = "102904-itshuge.gif";
creatures[146] = "103004-helpful.gif";
creatures[147] = "103104-itstrue.gif";
creatures[148] = "110104-yaaarh.gif";
creatures[149] = "110204-iwont.gif";
creatures[150] = "110304-keepit.gif";
creatures[151] = "020105-lookit.gif";
creatures[152] = "110504-itsfake.gif";
creatures[153] = "110604-feeling.gif";
creatures[154] = "110704-whatisit.gif";
creatures[155] = "110804-notice.gif";
creatures[156] = "110904-sayit.gif";
creatures[157] = "111004-stayit.gif";
creatures[158] = "111104-getinto.gif";
creatures[159] = "111204-takecare.gif";
creatures[160] = "111304-looking.gif";
creatures[161] = "111404-andagain.gif";
creatures[162] = "111504-velcro.gif";
creatures[163] = "111604-comfort.gif";
creatures[164] = "111704-brine.gif";
creatures[165] = "111804-deal.gif";
creatures[166] = "111904-punchy.gif";
creatures[167] = "112104-withyou.gif";
creatures[168] = "112204-waterme.gif";
creatures[169] = "112304-along.gif";
creatures[170] = "020205-turnaround.gif";
creatures[171] = "112504-dessert.gif";
creatures[172] = "112604-macys.gif";
creatures[173] = "112704-changed.gif";
creatures[174] = "112804-krrrik.gif";
creatures[175] = "113004-wrong.gif";
creatures[176] = "120104-interrupt.gif";
creatures[177] = "120204-burns.gif";
creatures[178] = "120304-promises.gif";
creatures[179] = "120404-justout.gif";
creatures[180] = "120504-didyou.gif";
creatures[181] = "120604-wrong.gif";
creatures[182] = "120804-repay.gif";
creatures[183] = "120904-stay.gif";
creatures[184] = "121004-useless.gif";
creatures[185] = "121104-partay.gif";
creatures[186] = "121204-leaking.gif";
creatures[187] = "121304-getoff.gif";
creatures[188] = "121404-freeee.gif";
creatures[189] = "121504-blargh.gif";
creatures[190] = "121604-dizzy.gif";
creatures[191] = "121704-burp.gif";
creatures[192] = "121804-seeme.gif";
creatures[193] = "121904-yerlate.gif";
creatures[194] = "122004-hesbig.gif";
creatures[195] = "122104-itsgood.gif";
creatures[196] = "122204-mybad.gif";
creatures[197] = "122304-soooon.gif";
creatures[198] = "122404-trydad.gif";
creatures[199] = "122504-returnit.gif";
creatures[200] = "122604-exchange.gif";
creatures[201] = "122704-thebest.gif";
creatures[202] = "122804-drooool.gif";
creatures[203] = "122904-complain.gif";
creatures[204] = "123004-tellhim.gif";
creatures[205] = "123104-thatsover.gif";
creatures[206] = "010105-letsgo.gif";
creatures[207] = "010205-orelse.gif";
creatures[208] = "010305-fixit.gif";
creatures[209] = "010405-bothers.gif";
creatures[210] = "010505-isee.gif";
creatures[212] = "010605-illthink.gif";
creatures[212] = "010705-soright.gif";
creatures[213] = "010805-huhhuh.gif";
creatures[214] = "010905-nowitis.gif";
creatures[215] = "011005-rockband.gif";
creatures[216] = "011105-button.gif";
creatures[217] = "011205-afoot.gif";
creatures[218] = "011305-hrrrk.gif";
creatures[219] = "011405-hedidit.gif";
creatures[220] = "011505-cantdo.gif";
creatures[221] = "011605-leave.gif";
creatures[222] = "011705-diedie.gif";

function pickRandom(range) {
	if (Math.random) {
		return Math.round(Math.random() * (range-1));
	}
	else {
		var now = new Date();
		return (now.getTime() / 1000) % range;
	}
}
var choice = pickRandom(ic);
document.getElementById("main").innerHTML = '<IMG SRC="http://www.creaturesinmyhead.com/creatures/'+creatures[choice]+'" WIDTH=250 ALT=Creatures BORDER=0 onClick="javascript:onshow()" onError="javascript:noConnection()" >'; 
}

function noConnection() { 
document.getElementById("main").innerHTML = '<IMG SRC="Images/noConnection.jpg" WIDTH=215 height=164 ALT=Error BORDER=0 onClick="javascript:onshow()">'; 
} 

if (document.images) {
  var advanoff = new Image();
  advanoff.src = "Images/iUP.png";
  var advanon = new Image();
  advanon.src = "Images/iDN.png";
}

function act() {
  if (document.images)
    document.images.advan.src = advanon.src;
}

function inact() {
  if (document.images)
    document.images.advan.src = advanoff.src;
}

if (document.images) {
  var advan2off = new Image();
  advan2off.src = "Images/iUP2.png";
  var advan2on = new Image();
  advan2on.src = "Images/iDN2.png";
}

function act2() {
  if (document.images)
    document.images.advan2.src = advan2on.src;
}

function inact2() {
  if (document.images)
    document.images.advan2.src = advan2off.src;
}